using System;

public class Cheers
{
    public static void Generic()
    {
        Console.WriteLine("Yay!");
    }
    public static void LongGeneric()
    {
        Console.WriteLine("Yaaaaaaaaaay!");
    }
    private string teamName;
    public Cheers(string teamName)
    {
        this.teamName = teamName;
    }
    public void Specific()
    {
        Console.WriteLine("Yay, {0}!", teamName);
    }
    public void LongSpecific()
    {
        Console.WriteLine("Yaaaaaaaaaay, {0}!", teamName);
    }
    public delegate void VoidFunction(); 

    public static void Main()
    {
        VoidFunction cheerleader = new VoidFunction(Cheers.Generic);
        cheerleader += Cheers.LongGeneric;
        Cheers irish = new Cheers("Irish");
        Cheers bama = new Cheers("Bama");
        cheerleader += irish.Specific;
        cheerleader += bama.Specific;
        cheerleader += irish.LongSpecific;
        cheerleader += bama.LongSpecific;
        cheerleader();
    }

}



